Bug 1889651 - [CNV][Chaos] Ensure MHC is enabled before starting VMs that are required to be highly available
Summary: [CNV][Chaos] Ensure MHC is enabled before starting VMs that are required to b...
Keywords:
Status: NEW
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Installation
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: future
Assignee: Simone Tiraboschi
QA Contact: Inbar Rose
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 10:15 UTC by Piotr Kliczewski
Modified: 2020-11-04 10:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Piotr Kliczewski 2020-10-20 10:15:40 UTC
In order to make sure chaos scenarios won't affect user workload we need to enable machine health check by default on freshly installed clusters.

Comment 1 Steven Hardy 2020-10-20 11:54:43 UTC
This was previously discussed (and rejected) via https://github.com/openshift/enhancements/pull/330

It sounds like we need to find a way to either enable users to easily opt-in when they want this behavior, or for CNV to automate that as part of the CNV setup

In either case the baremetal-operator is the wrong component for this, so I'll defer triaging until we can decide if this bug should be closed or moved to a different component.

Comment 2 Rob Young 2020-10-20 15:26:21 UTC
@shardy we need to revisit the larger platform problem that our current CNV negative flow testing has exposed, specifically around BM deployments. I propose leaving this bug open until we have a proper hearing on the findings and our options for a platform level solution. We don't want to create a one-off solution specific to CNV; the platform behavior and UX should be consistent regardless of feature that exposes the issue.

Comment 5 Steven Hardy 2020-10-22 14:28:24 UTC
(In reply to Rob Young from comment #2)
> @shardy we need to revisit the larger platform problem that our current CNV
> negative flow testing has exposed, specifically around BM deployments. I
> propose leaving this bug open until we have a proper hearing on the findings
> and our options for a platform level solution. We don't want to create a
> one-off solution specific to CNV; the platform behavior and UX should be
> consistent regardless of feature that exposes the issue.

Ack, we can leave it open, but we need to find a different component I think - the baremetal-operator is unrelated to MHC and it seems the solution is likely to be tracked via CNV teams?


Note You need to log in before you can comment on or make changes to this bug.